> For the complete documentation index, see [llms.txt](https://docs.zkbridge.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zkbridge.com/layerzero-zklightclient-configurations/layerzero-ua-configuration.md).

# LayerZero UA Configuration

To configure zkLightClient as the oracle using LayerZero UA, your application needs to modify the default oracle of the L0 Endpoint.&#x20;

You can use the following code in `ILayerZeroEndpoint` to set the zkLightClient oracle. &#x20;

<pre class="language-solidity"><code class="lang-solidity">// Remember to call this piece of code in ILayerZeroEndpoint on both the sender chain and receiver chain to set up zkLightClient as the oracle.
/**

* @param dstChainId - the destination chain identifier

* @param zkLightClient - the ZkLightClient address

*/

function setOracle(uint16 dstChainId, address zkLightClient) external {

    uint256 TYPE_ORACLE = 6;

    ILayerZeroEndpoint(lzEndpointAddress).setConfig(

        ILayerZeroEndpoint(lzEndpointAddress).getSendVersion(address(this)),

<strong>        dstChainId,
</strong>
        TYPE_ORACLE,

        abi.encode(zkLightClient)

    );

}
</code></pre>

{% hint style="info" %}
Important: Please remember to set it in both the application of the sender chain and the application of the receiver chain to make sure the message is correctly delivered.
{% endhint %}

For more information, check out the tutorial here.

{% embed url="<https://layerzero.gitbook.io/docs/evm-guides/interfaces/evm-solidity-interfaces/ilayerzerouserapplicationconfig>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zkbridge.com/layerzero-zklightclient-configurations/layerzero-ua-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
